package com.zhu.service;

import java.util.Date;
import java.util.List;

import javax.servlet.http.HttpSession;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.zhu.mapper.OrderMapper;
import com.zhu.pojo.Manager;
import com.zhu.pojo.Order;
import com.zhu.vo.PageResult;

@Service
public class OrderService {
	
	@Autowired
	private OrderMapper orderMapper;
	
	public PageResult<Order> queryOrderByPage(Integer page, Integer rows, Long key,HttpSession session) {
		
		Manager manager = (Manager) session.getAttribute("manager");
		
		//ʼҳ
		PageHelper.startPage(page,rows);
		List<Order> values = orderMapper.selectOrders(key,manager.getUsername());
		Page<Order> list = (Page<Order>) values;
		
		return new PageResult<Order>(list.getTotal(),(long) list.getPages(),list);
	}

	public void deleteOrder(Long ordernum) {
		
		orderMapper.deleteOrder(ordernum);
	}

	public void insertOrder(Long orderNum,String goods ,String mphone, String holder, String addr,HttpSession session) {
		Manager manager = (Manager) session.getAttribute("manager");
		Order order = new Order(null,goods,orderNum,manager.getUsername(),holder,addr,mphone,new Date(),new Date());
		orderMapper.insertOrder(order);
	}

	public void editOrder(String goods,Long orderNum, String mphone, String holder,
			String addr,HttpSession session) {
		Manager m = (Manager) session.getAttribute("manager");
		Order order = new Order();
		order.setGoods(goods);
		order.setManagerId(m.getUsername());
		order.setAddr(addr);
		order.setOrderNum(orderNum);
		order.setMphone(mphone);
		order.setHolder(holder);
		order.setUpdateTime(new Date());
		orderMapper.updateOrder(order);
		
	}



}
