package com.zhu.web;

import java.util.HashMap;

import javax.servlet.http.HttpSession;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.zhu.pojo.Manager;
import com.zhu.service.ManagerService;

@RestController
@RequestMapping("manage")
public class ManagerController {
	@Autowired
	private ManagerService managerService;
	
	@GetMapping("/signOut")
	public ResponseEntity<Void> signOut(HttpSession session){
		session.invalidate();
		session.removeAttribute("manager");
		return ResponseEntity.status(HttpStatus.OK).build();
	}
	@PostMapping("/signIn")
	public HashMap<String,String> signIn(
			@RequestParam(value="username",required = true)String username,
			@RequestParam(value="password",required = true)String password,
			HttpSession session){
		HashMap map = new HashMap();
		map.put("sickname", managerService.login(username,password,session));
		return map;
	}
	@PostMapping("/register")
	public ResponseEntity<Void> register(
			@RequestParam(value="username",required = true)String username,
			@RequestParam(value="password",required = true)String password,
			@RequestParam(value="sickname",required = true)String sickname){
		boolean flag = managerService.register(username,password,sickname);
		if(flag)
			return ResponseEntity.status(HttpStatus.CREATED).build();
		else
			return ResponseEntity.status(HttpStatus.BAD_REQUEST).build();
	}
	
	@GetMapping("/show")
	public HashMap<String,String> show(HttpSession session){
		Manager manager = (Manager) session.getAttribute("manager");
		if(manager==null){
			return null;
		}
		HashMap map = new HashMap();
		map.put("sickname", manager.getSickname());
		return map;
	}
	
}
