package com.zhu.web;

import javax.servlet.http.HttpSession;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.zhu.pojo.Order;
import com.zhu.service.OrderService;
import com.zhu.vo.PageResult;

@RestController
@RequestMapping("api")
public class OrderController {
	@Autowired
	private OrderService orderService;
	
	@GetMapping("page")
	public ResponseEntity<PageResult<Order>> queryOrderByPage(
			@RequestParam(value="page",defaultValue="1")Integer page,
			@RequestParam(value="rows",defaultValue="10")Integer rows,
			@RequestParam(value="key",required = false)Long key,HttpSession session){
		return ResponseEntity.ok(orderService.queryOrderByPage(page,rows,key,session));
	}

	
	@PostMapping("edit")
	public ResponseEntity<Void> updateOrder(	
			@RequestParam(value="goods",required = true)String goods,
			@RequestParam(value="orderNum",required = true)Long orderNum,
			@RequestParam(value="mphone",required = true)String mphone,
			@RequestParam(value="holder",required = true)String holder,
			@RequestParam(value="addr",required = true)String addr,
			HttpSession session){
		orderService.editOrder(goods,orderNum,mphone,holder,addr,session);
		return ResponseEntity.status(HttpStatus.OK).build();
		
	}
	
	@DeleteMapping("delete/{orderNum}")
	public ResponseEntity<Void> deleteOrder(@PathVariable("orderNum")Long orderNum){

		orderService.deleteOrder(orderNum);
		return ResponseEntity.status(HttpStatus.OK).build();
	}
	
	@PostMapping("add")
	public ResponseEntity<Void> insertOrder(
			@RequestParam(value="orderNum",required = true)Long orderNum,
			@RequestParam(value="goods",required = true)String goods,
			@RequestParam(value="mphone",required = true)String mphone,
			@RequestParam(value="holder",required = true)String holder,
			@RequestParam(value="addr",required = true)String addr,HttpSession session){
		orderService.insertOrder(orderNum,goods,mphone,holder,addr,session);
		return ResponseEntity.status(HttpStatus.CREATED).build();
	}
}
